### Enumeration

# Pango WrapMode

#### Declaration

    enum Pango.WrapMode

#### Description [src]

`PangoWrapMode` describes how to wrap the lines of a `PangoLayout` to the desired width.

For `PANGO_WRAP_WORD`, Pango uses break opportunities that are determined by the Unicode line breaking algorithm. For `PANGO_WRAP_CHAR`, Pango allows breaking at grapheme boundaries that are determined by the Unicode text segmentation algorithm.

#### Members

Name | Description
--- | ---
`PANGO_WRAP_WORD` | Wrap lines at word boundaries.
`PANGO_WRAP_CHAR` | Wrap lines at character boundaries.
`PANGO_WRAP_WORD_CHAR` | Wrap lines at word boundaries, but fall back to character boundaries if there is not enough space for a full word.